# Copyright 2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

DESCRIPTION="MQTT client to send device metrics to Home Assistant"
HOMEPAGE="https://git.odrling.xyz/mqtteer"

if [ ${PV} = 9999 ]; then
	inherit git-r3
	EGIT_REPO_URI="https://github.com/odrling/${PN^}.git https://github.com/vapoursynth/bestsource.git"
else
	SRC_URI="https://git.odrling.xyz/${PN}/snapshot/${P}.tar.gz"
	KEYWORDS="~amd64 ~arm64"
fi

LICENSE="MIT"
SLOT="0"

inherit meson

RDEPEND="
	app-misc/mosquitto
	dev-libs/cJSON
	sys-apps/lm-sensors
	sys-process/procps
"
DEPEND="${RDEPEND}"
